- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GAuth::SaslServer Member List

This is the complete list of members for GAuth::SaslServer, including all inherited members.

active() const =0 | GAuth::SaslServer | pure virtual
apply(const std::string &response, bool &done)=0 | GAuth::SaslServer | pure virtual
authenticated() const =0 | GAuth::SaslServer | pure virtual
id() const =0 | GAuth::SaslServer | pure virtual
init(const std::string &mechanism)=0 | GAuth::SaslServer | pure virtual
initialChallenge() const =0 | GAuth::SaslServer | pure virtual
mechanism() const =0 | GAuth::SaslServer | pure virtual
mechanisms(char sep= ' ') const =0 | GAuth::SaslServer | pure virtual
mustChallenge() const =0 | GAuth::SaslServer | pure virtual
requiresEncryption() const =0 | GAuth::SaslServer | pure virtual
trusted(GNet::Address) const =0 | GAuth::SaslServer | pure virtual
~SaslServer() | GAuth::SaslServer | virtual